<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */




if (!defined('ABSPATH'))
    exit; // Exit if accessed directly


add_action('admin_menu', 'rvrw_add_pages');

// add menu for other user not for admin
// Function to Create Menu and submenu in Admin:
// action function for above hook

function rvrw_add_pages() {

    $optionpage_top_level = "Rebusify RCS";
    $iconurl = RVRW_PATH . 'images/rbs-woocommerce-extension-logo.png';

    // userlevel=8 restrict users to "Administrators" only 
    // Add a new submenu under Options:
    // add_options_page('Test Options', 'Test Options', 'administrator', 'testoptions', 'dsp_options_page');
    // Add a new top-level menu (ill-advised): add_menu_page(page_title, menu_title, capability, handle, [function], [icon_url])

    if (current_user_can('manage_options')) {
        add_menu_page($optionpage_top_level, $optionpage_top_level, 'administrator', 'rvrw-admin-sub-page1', 'rvrw_review_page', $iconurl);

        // Add a submenu to the custom top-level menu: add_submenu_page(parent, page_title, menu_title, capability required, file/handle, [function])

        add_submenu_page('rvrw-admin-sub-page1', 'Rebusify RBS', 'Rebusify RBS', 'administrator', 'rvrw-admin-sub-page1', 'rvrw_review_page');
    }
}

function rvrw_review_page() {
    include( RVRW_ABSPATH . '/includes/rvrw_review_configuration.php');
}

function rvrw_is_site_admin() {
    return in_array('administrator', wp_get_current_user()->roles);
}

function rvrw_load_jquery() {
    if (!wp_script_is('jquery', 'enqueued')) {

        //Enqueue
        wp_enqueue_script('jquery');
    }
}

add_action('wp_enqueue_scripts', 'rvrw_load_jquery');

/* this function will make sure load index.js  after jquery loaded */

function rvrw_enqueue_script() {

    wp_deregister_script('rvrw_js');
    wp_register_script(
            'rvrw_js', plugins_url('rebusify-verified-reviews-woocommerce-extension/js/index.js'), array('jquery')
    );



    // to include colorbox script in plugin.
    wp_enqueue_script('rvrw_js');

    if (rvrw_check_exist_option('rbs_icons')) {
        $enable_icons = get_option('rbs_icons');
        if ($enable_icons == 1) {
            wp_enqueue_style('rvrw_icon_style', plugins_url('rebusify-verified-reviews-woocommerce-extension/assets/css/rqx_icon_style.css'));
        }
    }
}

add_action('wp_enqueue_scripts', 'rvrw_enqueue_script');

function rvrw_check_exist_option($arg) {

    global $wpdb;
    $prefix = $wpdb->prefix;
    $db_options = $prefix . 'options';
    $sql_query = 'SELECT * FROM ' . $db_options . ' WHERE option_name LIKE "' . $arg . '"';

    $results = $wpdb->get_results($sql_query, OBJECT);

    if (count($results) === 0) {
        return false;
    } else {
        return true;
    }
}
