<?php

//error_reporting(0);
//error_reporting(E_ALL);
//ini_set('display_errors', 'On');


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

//woocommerce_order_status_changed
add_action('woocommerce_order_status_changed', 'rvrw_set_txn');
add_action('woocommerce_payment_complete', 'rvrw_custom_tracking');
add_action('wp_enqueue_scripts', 'rvrw_woo_ext_styles_fontawsome');

function rvrw_reviews_account_menu_items($items) {

    $logout = $items['customer-logout'];
    unset($items['customer-logout']);
    $items['reviews'] = __('Review Transactions', 'rqxreviews');
    $items['reviewreply'] = __('Review Replies', 'rqxreviewreply');
    $items['customer-logout'] = $logout;
    return $items;
}

add_filter('woocommerce_account_menu_items', 'rvrw_reviews_account_menu_items', 13, 1);

function rvrw_reviews_add_my_account_endpoint() {

    add_rewrite_endpoint('reviews', EP_ROOT | EP_PAGES);
    add_rewrite_endpoint('reviewreply', EP_ROOT | EP_PAGES);
    flush_rewrite_rules();
}

add_action('init', 'rvrw_reviews_add_my_account_endpoint');

function rvrw_custom_flush_rewrite_rules() {

    add_rewrite_endpoint('reviews', EP_ROOT | EP_PAGES);
    add_rewrite_endpoint('reviewreply', EP_ROOT | EP_PAGES);
    flush_rewrite_rules();
}

register_activation_hook(__FILE__, 'rvrw_custom_flush_rewrite_rules');
register_deactivation_hook(__FILE__, 'rvrw_custom_flush_rewrite_rules');

function rvrw_reviews_endpoint_content() {
    require( 'includes/rvrw_reviews.php');
}

add_action('woocommerce_account_reviews_endpoint', 'rvrw_reviews_endpoint_content');

function rvrw_reviews_reviewreply_endpoint_content() {
    require( 'includes/rvrw_review-reply.php');
}

add_action('woocommerce_account_reviewreply_endpoint', 'rvrw_reviews_reviewreply_endpoint_content');

function rvrw_custom_tracking($order_id) {

    global $wpdb, $woocommerce, $product;
    // Lets grab the order
    $order = wc_get_order($order_id);
    $orderid = $order->get_id();
    $order_status  = $order->get_status(); 

    $order->get_items();
    $user_id   = $order->get_user_id(); 

    $trasanction_id = get_post_meta($orderid, '_transaction_id', true);
    
    
    
  
    $table_name = $wpdb->prefix . 'rvrw_transaction_reviews';

    $trans_id = $wpdb->get_var($wpdb->prepare("SELECT count(*) FROM $table_name WHERE order_id = %s ", $orderid));

    if ($trans_id > 0) {

        $data= array('user_id'=>$user_id, 'transaction_id' => $trasanction_id);
        $where =array('order_id'=>$orderid);
        $data_formate=array('%d','%s');
        $where_formate=array('%d');

        $wpdb->update($table_name,$data,$where,$data_formate,$where_formate);
   
   
    } else {

         $data = array('user_id' => $user_id, 'order_id' => $orderid,
             'transaction_id'=>$trasanction_id );
        $format = array('%d','%d','%s');
        $wpdb->insert($table_name,$data,$format);
    }
}

/* this function will call on order staus change this will help if somehow order
 *  is on hold and doens't complete by payment 
 * gateway and admin change order status by admin section { in that case woocommerce_payment_complete 
 * will not call }*/
function rvrw_set_txn($order_id)
{
     global $wpdb, $woocommerce, $product;
    // Lets grab the order
    $order = wc_get_order($order_id);
    $orderid = $order->get_id();
    $order_status  = $order->get_status(); 

    $order->get_items();
    $user_id   = $order->get_user_id(); 

    $trasanction_id = get_post_meta($orderid, '_transaction_id', true);
    
       
  
    $table_name = $wpdb->prefix . 'rvrw_transaction_reviews';

    $trans_id = $wpdb->get_var($wpdb->prepare("SELECT count(*) FROM $table_name WHERE order_id = %s ", $orderid));

    if ($trans_id > 0) {

        $data= array('user_id'=>$user_id, 'transaction_id' => $trasanction_id);
        $where =array('order_id'=>$orderid);
        $data_formate=array('%d','%s');
        $where_formate=array('%d');

        $wpdb->update($table_name,$data,$where,$data_formate,$where_formate);
   
   
    } else {

         $data = array('user_id' => $user_id, 'order_id' => $orderid,
             'transaction_id'=>$trasanction_id );
        $format = array('%d','%d','%s');
        $wpdb->insert($table_name,$data,$format);
    }
}
    

function rvrw_woo_ext_styles_fontawsome() {

    wp_register_style('fontawsome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', array(), null, false);
    wp_enqueue_style('fontawsome');


    wp_register_style('rvrw_woo_commerce_extension', plugins_url('/assets/css/rqx_woo_commerce_extension.css', __FILE__), array(), '1', 'all');
    wp_enqueue_style('rvrw_woo_commerce_extension');

   
}
